Draft WireToBSpline/en: Difference between revisions

From FreeCAD Documentation
No edit summary
(Importing a new version from external source)
Line 1: Line 1:
{{GuiCommand/en|Name=Draft_WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
{{GuiCommand|Name=Draft WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}


==Description==
==Description==

Revision as of 21:44, 3 June 2014

Draft WireToBSpline

Menu location
Drafting -> Wire to BSpline
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)